/*
 *  TOPPERS Automotive Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *      Automotive Kernel
 * 
 *  Copyright (C) 2006 by Witz Corporation, JAPAN
 * 
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 */

/*
 *	ץåȰ¸⥸塼OAKS16-miniѡ
 */

#ifndef _SAMPLE_CONFIG_H_
#define _SAMPLE_CONFIG_H_


#include	"kernel.h"
#include	"rtos.h"


/*
 *  SignalCounter¹ѳߥ٥
 */
#define CFG_INTLVL_COUNTER	(UINT8)( 0x03 )

/*
 *  ISR1ISR2󥿳ߥ٥
 */
#define CFG_INTLVL_HW_CNT1	(UINT8)( 0x05 )
#define CFG_INTLVL_HW_CNT2	(UINT8)( 0x02 )

/*
 *  ISR1ISR2󥿥ޤΥڥ͡1ms
 *
 *  oaks16-miniǤϥB0,B1Ǽ롥
 */
#define	CFG_HW_CNT1		(UINT16)( 625u )
#define	CFG_HW_CNT2		(UINT16)( 625u )


#ifndef _MACRO_ONLY

/*
 *  ץꥱ⡼
 */
/*
 *  ץꥱ⡼ɷѤξؿץȥ
 */
extern UINT8	GetAppModeInfo( void );

#if 1	/* ROI DEBUG */
/*
 *  MINDSTORMSץ饤ƥ޽
 */
extern void InitSysTickIsrC1( void );

/*
 *  MINDSTORMSץ饤ƥ߽
 */
extern void TermSysTickIsrC1( void );

#endif	/* ROI DEBUG */

/*
 *  ץ륫󥿥
 */
/*
 *  SignalCounter¹ѳ߽ؿץȥ
 */
extern void	InitCounterInt( void );

/*
 *  SignalCounter¹ѳ߽ؿץȥ
 */
extern void	TermCounterInt( void );

/*
 *  SignalCounter¹ѳߵưؿץȥ
 */
extern void	ActCounterInt( void );


/*
 *  ISR1ISR2ưǧ
 */
/*
 *  ISR1ISR2󥿽ؿץȥ
 */
extern void	InitHwCntInt( void );

/*
 *  ISR1ISR2߽ؿץȥ
 */
extern void	TermHwCntInt( void );

/*
 *  ISR1ISR2󥿼ؿץȥ
 */
extern void	GetHwCnt( UINT8 *isr1_cnt, UINT8 *isr2_cnt );


#endif /* _MACRO_ONLY */

#endif /* _SAMPLE_CONFIG_H_ */

